Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\REST\Server\Values\RestRelation Class Reference

RestRelation view model. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Values\RestRelation:

## Public Member Functions
| __construct (Relation $relation, $contentId, $versionNo)

## Public Attributes
| $relation
| $contentId
| $versionNo

## Detailed Description

RestRelation view model.

Definition at line 15 of file Values/RestRelation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Values\RestRelation::__construct | ( | Relation | $relation,
|  |  | $contentId,
|  |  | $versionNo
| ) |  |

Parameters

  \eZ\Publish\API\Repository\Values\Content\Relation | $relation |
  mixed | $contentId |
  mixed | $versionNo |

Definition at line 43 of file Values/RestRelation.php.

References eZ\Publish\Core\REST\Server\Values\RestRelation\$contentId, eZ\Publish\Core\REST\Server\Values\RestRelation\$relation, and eZ\Publish\Core\REST\Server\Values\RestRelation\$versionNo.

## Member Data Documentation

## ◆ $contentId

eZ\Publish\Core\REST\Server\Values\RestRelation::$contentId

Definition at line 29 of file Values/RestRelation.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestRelation\__construct().

## ◆ $relation

eZ\Publish\Core\REST\Server\Values\RestRelation::$relation

Definition at line 22 of file Values/RestRelation.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestRelation\__construct().

## ◆ $versionNo

eZ\Publish\Core\REST\Server\Values\RestRelation::$versionNo

Definition at line 36 of file Values/RestRelation.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestRelation\__construct().

The documentation for this class was generated from the following file:

- Values/RestRelation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.